package com.tm1.consdbws;

import com.applix.tm1.*;

public class TM1RetrieveWeb {
	
	static void GetViewValue(TM1Server oServer) {
		
		TM1Cube oCube;
		TM1View view;
        TM1Val ret;

        //get oCube
		oCube = oServer.getCube ("Cube1");
		if (!oCube.isError()){
			
			view = oCube.getView("JavaTest2");
			view.constructArray();

			//Output array number of columns and rows
			System.out.println(view.getNumberOfArrayColumns());
			System.out.println(view.getNumberOfArrayRows());
			System.out.println("");
			
			for (int x = 1; x <= view.getNumberOfArrayColumns(); x++){
				
				for (int y = 1; y <= view.getNumberOfArrayRows(); y++){
				
					//Loop through view array and output values 
					ret = view.getArrayValue(x,y);
					System.out.println("Value of: " + x + " + " + y + " is: " + ret.getInt());
				}
		
			}
									
		}
		else{
			System.out.println (oCube.getErrorMessage());
		}
	}

}
